Name:           guile-json
Version:        4.7.3
Release:        1%{?dist}
Summary:        JSON module for Guile

License:        GPL-3.0-or-later
URL:            https://savannah.nongnu.org/projects/guile-json 
Source0:        https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make, pkgconfig(guile-3.0)
Requires:       guile30

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global debug_package %{nil}

%description
guile-json is a JSON module for Guile. It supports parsing and building JSON
documents according to the https://json.org specification. These are the main
features:

- Strictly complies to https://json.org specification.
- Build JSON documents programmatically via macros.
- Unicode support for strings.
- Allows JSON pretty printing.

%prep
%autosetup


%build
%configure
%make_build


%install
%make_install

%check
%{__make} %{?_smp_mflags} check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README

%{guile_site_dir}/json.scm
%{guile_ccache_dir}/json.go
%{guile_site_dir}/json/*.scm
%{guile_ccache_dir}/json/*.go

%changelog
%autochangelog
